declare module BA.Ui.RecordCollection {
    class AddToOrRemoveFromRecordCollectionDialogEvents {
        /**
         * Invoked when the ribbon action "add to folder" is clicked
         **/
        static OnAddToRecordCollection(event: ASPxClientRibbonCommandExecutedEventArgs, customData: CustomData): void;
        /**
         * Invoked when the ribbon action "add to folder" is clicked CALLBACK
         * @param e
         * @param customData
         */
        static OnAddToRecordCollectionCallback(): void;
        /**
         * Invoked when clicked on "add to folder" from search results
         */
        static OnAddToRecordCollectionFromSearchClicked(searchTerm: string, searchConfig: BA.Classes.Guid, dataSource: BA.Classes.Guid): void;
        /**
         * Invoked when the ribbon action "remove from folder" is clicked
         **/
        static OnRemoveFromRecordCollection(event: ASPxClientRibbonCommandExecutedEventArgs, customData: CustomData): void;
        /**
         * Opens the dialog that prompts the user for a record collection to add records to or remove them from and
         * (depending on the removeMode) lets the user create a new record collection.
         *
         * @param removeMode true, if the dialog should be used for removing records from a folder
         */
        private static OpenAddToOrRemoveFromRecordCollectionDialog;
        /**
         * The function is called then the user clicks the ok button in the dialog.
         *
         * @param button the ok button object
         * @param evt event parameters
         */
        static AddToOrRemoveFromRecordCollectionDialogOk(button: BA.Ui.Dialog.BADialogButton, evt: ASPxClientButtonClickEventArgs): void;
        /**
         * Open the "EditOrCreateRecordCollectionDialog" with the records to be added
         *
         */
        static OnNewRecordCollectionClick(dialogButton: Dialog.BADialogButton, evt: ASPxClientButtonClickEventArgs): void;
    }
}
