declare module BA.Ui.Widgets {
    /**
     * Class for NavigationMenuWidget
     * */
    class NavigationMenuWidget extends Widget {
        color: string;
        highlightColor: string;
        widgetId: string;
        menuWrapperIdSelector: string;
        navConfigId: string;
        widgetSize: string;
        maxCols: number | null;
        /**
         * Initialize Navigation Menu
         * */
        Init(): void;
        OnContentLoaded(): void;
        private OnTabActivated;
        private OnItemClick;
        private AttachClickMenuItems;
        private AttachClickAlternativeItems;
        private MoveAlternativeMenus;
        private MouseLeaveAlternativeItem;
        private AttachHoverAlternativeItems;
        UpdateAlternativesOfMenuItem(id: string, alternatives: any): void;
        GetAlternativeItemHtml(navigateUrl: string, iconName: string, caption: string, iconColor: string): string;
        /**
         * Get minimum width of individual Navigation item
         * */
        private GetMinWidth;
        /**
         * Get maximum width of individual Navigation item
         * */
        private GetMaxWidth;
        /**
         * Toggle menu item
         * @param menuItem The menu item to toggle.
         */
        ToggleMenuItem(menuItem: JQuery, e: any): void;
        /**Ensure Responsiveness for Navigation Menu*/
        ActResponsive(): void;
        /**
         * Change order of Navigation items
         * @param containersPerRow number of containers per row
         */
        ChangeFlexboxOrder(containersPerRow: number): void;
        /**
         * Get the number of columns that fit in a row
         * @param width width of container
         */
        GetColumns(width: number): number;
        /**
         * Ally class to columns
         * @param columnsClass
         * @param element
         */
        ApplyColumnsClass(columnsClass: string, element: JQuery): void;
    }
}
